﻿#language: ru

@OrdersConfirmation

Функционал: 007. OrdersConfirmation. Создание заказов клиентов

Сценарий: 007.1. OrdersConfirmation. Создание заказов клиентов - загрузка

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	И Я загружаю заказы клиента из файла

Сценарий: 007.2. OrdersConfirmation. Проверка загрузки заказов клиентов

	И В командном интерфейсе я выбираю 'Заказы' 'Отчеты'
	Тогда я жду открытия окна 'Отчеты по исполнению заказов' в течение 20 секунд
	И я нажимаю на гиперссылку 'Анализ заказов (кросс-таблица)'
	Тогда я жду открытия окна 'Анализ заказов (кросс-таблица)' в течение 20 секунд
	Дано Я в отчете устанавливаю период '08.10.2020' '19.10.2020'
	И из выпадающего списка "Периодичность" я выбираю точное значение 'День'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я жду когда в табличном документе 'ОтчетТабличныйДокумент' заполнится ячейка 'R5C1' в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "РезультатЗагрузкиЗаказовКлиента_OrdersConfirmation"
	И Я закрываю окно 'Анализ заказов (кросс-таблица)'
	Тогда я жду открытия окна 'Отчеты по исполнению заказов' в течение 20 секунд
	И Я закрываю окно 'Отчеты по исполнению заказов'

Сценарий: 007.3. OrdersConfirmation. Установка этапа в заказе клиента - Ашан. Скидочный регион

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Состояние' | 'Точка доставки'         |
		| '18.10.2020'    | '18.10.2020'    | 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Создан'    | 'Ашан. Скидочный регион' |
	И Я устанавливаю этап для заказа клиента

Сценарий: 007.4. OrdersConfirmation. Установка этапа в заказе клиента - Ашан. Бесскидочный регион

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И в таблице "Список" я перехожу к строке:
		| 'Доставка'   | 'Отгрузка'   | 'Контрагент' | 'Организация' | 'Подразделение'                 | 'Состояние' | 'Точка доставки'            |
		| '18.10.2020'    | '18.10.2020'    | 'Ашан'       | 'Организация' | 'Подразделение приемки заказов' | 'Создан'    | 'Ашан. Бесскидочный регион' |
	И Я устанавливаю этап для заказа клиента

Сценарий: 007.5. OrdersConfirmation. Завершение

	И Я закрыл все окна клиентского приложения